Package com.independentsoft.office.odf.drawing

# Enum Class EscapeDirection

java.lang.Object
java.lang.Enum<EscapeDirection>
com.independentsoft.office.odf.drawing.EscapeDirection

All Implemented Interfaces:
  `Serializable`, `Comparable<EscapeDirection>`, `Constable`

public enum EscapeDirection extends Enum<EscapeDirection>
Represents the direction in which a connection line escapes from a drawing object if a connector connects to a glue point.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTO`
  The connection line may escape in all four directions from a drawing object.
  `DOWN`
  The connection line escapes down from a drawing object.
  `HORIZONTAL`
  The connection line may escape to the left or to the right of a drawing object.
  `LEFT`
  The connection line escapes to the left of a drawing object.
  `NONE`
  None.
  `RIGHT`
  The connection line escapes to the right of a drawing object.
  `UP`
  The connection line escapes up from a drawing object.
  `VERTICAL`
  The connection line may escape up or down from a drawing object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EscapeDirection`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static EscapeDirection[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AUTO

    public static final EscapeDirection AUTO
    The connection line may escape in all four directions from a drawing object.

  - ### LEFT

    public static final EscapeDirection LEFT
    The connection line escapes to the left of a drawing object.

  - ### RIGHT

    public static final EscapeDirection RIGHT
    The connection line escapes to the right of a drawing object.

  - ### UP

    public static final EscapeDirection UP
    The connection line escapes up from a drawing object.

  - ### DOWN

    public static final EscapeDirection DOWN
    The connection line escapes down from a drawing object.

  - ### HORIZONTAL

    public static final EscapeDirection HORIZONTAL
    The connection line may escape to the left or to the right of a drawing object.

  - ### VERTICAL

    public static final EscapeDirection VERTICAL
    The connection line may escape up or down from a drawing object.

  - ### NONE

    public static final EscapeDirection NONE
    None.

- ## Method Details

  - ### values

    public static EscapeDirection[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static EscapeDirection valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null